/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createNearbyWindow = function(options) {
	
	var window = Ti.UI.createWindow(options);
	var map = Skateparks.Map.createView(Skateparks.Map.defaultOptions);
	var params = {
		page : 0,
		lat : null,
		lng : null
	};
	
	var client = Skateparks.API.createClient({
		url : 'skateparks',
		params : params,
		oncomplete : function(response) {
			map.addSkateparks(response);
		}
	});
	
	window.refresh = function() {
		params.page = params.page + 1;
		client.execute();
	};

	window.addEventListener('open', function() {
		Ti.Geolocation.getCurrentPosition(function(e) {
			params.lat = e.coords.latitude;
			params.lng = e.coords.longitude;
			window.refresh();
		});
	});
	
	var btn = Titanium.UI.createButton({
    	style : Titanium.UI.iPhone.SystemButton.REFRESH
	});
	window.setRightNavButton(btn);

	btn.addEventListener('click', function(e) {		
		window.refresh();
	});
	
	window.add(map);
	return window;
	
};
