(function() {
	
	/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

	Skateparks.UI.createSkateparkTableViewRow = function(_args) {
		
		var skatepark = _args['skatepark'];
		
		var row = Titanium.UI.createTableViewRow({
			height : 95
		});

		var thumbnail = Titanium.UI.createImageView({
			image : 'thumbnail.png', 
			width: 75, 
			height : 75, 
			left : 10, 
			top: 10 
		});
		
		var label = Ti.UI.createLabel({
		    text: skatepark.name,
		    height:'auto',
		    width:'auto',
		    'font-weight' : 'bold',
		    top: 10, 
		    left: 90
		});
		
		var address = Ti.UI.createLabel({
		    text: skatepark.street + ' ' + skatepark.locality,
		    height:'auto',
		    width:'auto',
		    color : '#999',
		    top: 30, 
		    left: 90
		});

		row.add(thumbnail);
		row.add(address);
		row.add(label);
		
		return row;
		
	};
})();

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSearchWindow = function(_args) {

	var window = Titanium.UI.createWindow({  
		title : 'Search',
		backgroundColor : '#000'
	});
	
	var map = Skateparks.Map.createView({
		mapType: Titanium.Map.STANDARD_TYPE,
		region: Skateparks.Map.defaultRegion,
		animate:true,
		visible : true,
		regionFit:true
	});
		
	var searchfield = Titanium.UI.createSearchBar({
    	showCancel:false,
    	height:'auto',
    	'backgroundColor' : '#ccc'
	});
	
	var table = Skateparks.UI.createSkateparksTableView({
		data: [],
		search  : searchfield,
		visible : false
	});

	searchfield.addEventListener('return', function() {
		
		var client = Skateparks.API.createClient({
			api : 'skateparks',
			params : {
				q : this.value
			},
			oncomplete : function(skateparks) {
				table.addSkateparks(skateparks);
				map.addSkateparks(skateparks);				
			} 
		});
		
		client.execute();

	});	
		
	var btn = Titanium.UI.createButton({
    	title:'Toggle' 
	});
	window.setRightNavButton(btn);

	btn.addEventListener('click', function(e) {		
		if (map.visible) {
			//map.animate({view:table, transition:Ti.UI.iPhone.AnimationStyle.FLIP_FROM_RIGHT});	
			table.show();
			map.hide();
		}
		else {	
			//table.animate({view:map, transition:Ti.UI.iPhone.AnimationStyle.FLIP_FROM_RIGHT});
			map.show();
			table.hide();
		}
	});
		
	window.add(map);
	window.add(table);
	
	return window;

};