/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparkCommentsWindow = function(skateparkID) {
	
	
	var window = Ti.UI.createWindow({
		title : 'Comments'
	});
	
	var skateparkCommentsTableView = Skateparks.UI.createSkateparkCommentsTableView();
	
	window.addEventListener('open', function() {
//		Skateparks.API.call(skateparkID + '/comments', {}, 'GET', function(response) {			
	//		skateparkCommentsTableView.reloadData(response.comments);
		//});
	});
	
	// Post Button
	var postButton = Ti.UI.createButton({
		title : 'New Comment'
	});
	postButton.addEventListener('click', function(event){
		var newSkateparkCommentWindow = Skateparks.UI.createNewSkateparkCommentWindow(skatepark_id, this);
		newSkateparkCommentWindow.open({
			// Modal stuff...
		});
	});
	window.rightNavButton = postButton;
	
	window.add(skateparkCommentsTableView);
	return window;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparkCommentsTableView = function() {
	var skateparkCommentsTableView = Ti.UI.createTableView();
	skateparkCommentsTableView.reloadData = function(comments) {
		var data = [];
		_.each(comments, function(comment) {
			var skateparkCommentsTableViewRow = Skateparks.UI.createSkateparkCommentsTableViewRow(comment);
			data.push(row);
		});
		this.setData(data);
	};

	return skateparkCommentsTableView;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparkCommentsTableViewRow = function(comment) {
	var skateparkCommentsTableViewRow = Ti.UI.createTableViewRow({
		title : comment.text
	});
	return skateparkCommentsTableViewRow;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createNewSkateparkCommentWindow = function(skateparkID, delegate) {
	var newSkateparkCommentWindow = Ti.UI.createWindow({
		title : 'New Comment'
	});
	
	newSkateparkCommentWindow.delegate = delegate;
	
	// Cancel Button
	var cancelButton = Skateparks.UI.createCancelButton(newSkateparkCommentWindow);
	newSkateparkCommentWindow.leftNavButton = cancelButton;
	
	// Post Button
	var postButton = Ti.UI.createButton({
		
	});
	postButton.addEventListener('click', function(event) {
		var delegate = newSkateparkCommentWindow.delegate;
		if (delegate) {
			delegate.fireEvent('didSubmitCommentForm', {});
		}
	});
	newSkateparkCommentWindow.rightNavButton = postButton;

	// TextArea
	var newSkateparkCommentWindowTextArea  = Ti.UI.createTextArea({});
	newSkateparkCommentWindowTextArea.addEventListener('change', function(event) {
		var enabled = (event.value.length > 0) ? true : false;
		postButton.setEnabled(enabled);
	});
	newSkateparkCommentWindow.add(newSkateparkCommentWindowTextArea);
	
	return newSkateparkCommentWindow;
	
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.cancelButton = function(windowToClose) {
	var cancelButton = Ti.UI.createButton({
		title : 'Cancel',
		style : Ti.UI.iPhone.SystemButtonStyle.BORDERED
	});
	cancelButton.addEventListener('click', function(event){
		windowToClose.close();
	});
	return cancelButton;
};
