/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */ 

Skateparks.UI.createSkateparkMapWindow = function(_args) {
	
	var skatepark = _args['skatepark'];
	
	var window = Ti.UI.createWindow({
		title : "Map",
		tabBarHidden : true
	});
	
	var annotation = Ti.Map.createAnnotation({
		latitude : skatepark.latitude,
		longitude : skatepark.longitude,
		title : skatepark.name,
		subtitle : skatepark.street + ", " + skatepark.locality + ", " + skatepark.region + " " + skatepark.postal_code
	});
	
	var map = Titanium.Map.createView({
		mapType: Titanium.Map.STANDARD_TYPE,
		region:{
			latitude:skatepark.latitude, 
			longitude:skatepark.longitude, 
			latitudeDelta:0.0075,
			longitudeDelta:0.0075
		},
		visible : true,
		regionFit:true,
		annotations : [annotation]
	});

	window.add(map);
			
	return window;
	
};