/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparkWindow = function(_args) {
	
	var skateparkID = _args['skatepark_id'];
	var window = Titanium.UI.createWindow({  
	   	title: _args['title'],
		backgroundColor : '#fff'
	});

	// TableView
	var skateparkTableView = Skateparks.UI.createSkateparkTableView();
	window.add(skateparkTableView);

	var client = Skateparks.API.createClient({
		api : 'skateparks/' + skateparkID,
		oncomplete : function(response) {
			var skatepark = response.skatepark;
			skateparkTableView.reloadData(skatepark);
		}
	});

	window.addEventListener('open', function() {
		client.execute();
	});

	
	return window;

};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */
	
Skateparks.UI.createSkateparkTableView = function(skatepark) {
	var skateparkTableView =  Ti.UI.createTableView({
		style : Titanium.UI.iPhone.TableViewStyle.GROUPED
	});

	skateparkTableView.reloadData = function(skatepark) {
		Ti.API.warn('Reloading The Data!');
		var data = [];
		
		// Address
		var addressTableViewRow = Skateparks.UI.createSkateparkAddressTableViewRow(skatepark);
		data.push(addressTableViewRow);
		
		// Website
		var websiteTableViewRow = Skateparks.UI.createWebsiteTableViewRow(skatepark.website);
		data.push(websiteTableViewRow);
		
		// Description
		var descriptionTableViewRow = Skateparks.UI.createSkateparkDescriptionTableViewRow(skatepark.description);
		data.push(descriptionTableViewRow);
		
		// Photos
		var photosTableViewRow = Skateparks.UI.createTableViewRow({
			title : 'Photos',
			hasChild : true
		});
		
						photosTableViewRow.addEventListener('click', function(e) {
					photos_window = Skateparks.UI.createSkateparkPhotosWindow({
						skatepark_id : skatepark.id
					});
					Skateparks.tabgroup.activeTab.open(photos_window);
					
				});
		
		data.push(photosTableViewRow);
		
		// Comments
		var commentsTableViewRow = Skateparks.UI.createTableViewRow({
			title : 'Comments',
			hasChild : true
		});
		
								commentsTableViewRow.addEventListener('click', function(e) {
					commentsWindow = Skateparks.UI.createSkateparkCommentsWindow(skatepark.id);
					Skateparks.tabgroup.activeTab.open(commentsWindow);
					
				});
		data.push(commentsTableViewRow);

		skateparkTableView.setData(data);
		 
	};
	return skateparkTableView;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparkDescriptionTableViewRow = function(description) {
	var skateparkDescriptionTableViewRow = Skateparks.UI.createTableViewRow({
		title : description
	});
	return skateparkDescriptionTableViewRow;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createTableViewRow = function(params) {
	return Ti.UI.createTableViewRow(params);
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createWebsiteTableViewRow = function(website) {
	var websiteTableViewRow = Skateparks.UI.createTableViewRow({
		title : website,
		hasChild : true
	});

	websiteTableViewRow.addEventListener('click', function(e) {
		var params = { url : website };
		website_window = Skateparks.UI.createWebsiteWindow(params);
		Skateparks.tabgroup.activeTab.open(website_window);
	});
	return websiteTableViewRow;
};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparkAddressTableViewRow = function(skatepark) {
	var address = Ti.UI.createTableViewRow({
		title : skatepark.street + ", " + skatepark.locality + ", " + skatepark.region + " " + skatepark.postal_code,
		hasChild : true
	});
								
	address.addEventListener('click', function(e) {
		var map = Skateparks.UI.createSkateparkMapWindow({
			skatepark : skatepark
		});
		Skateparks.tabgroup.activeTab.open(map);
	});
	
	return address;

};