
Skateparks.UI = {};
Skateparks.tabgroup = null;

	
/*
 * Sets up the application's main UI
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */
	
Skateparks.UI.init = function() {

	Ti.UI.setBackgroundColor('#000');
	Ti.Geolocation.purpose = 'Recieve User Location';
			
	var recent = Skateparks.UI.createRecentTab();
	var search = Skateparks.UI.createSearchTab();
	var favorites = Skateparks.UI.createFavoritesTab();
	var about = Skateparks.UI.createAboutTab();
	var nearby = Skateparks.UI.createNearbyTab();
		
	Skateparks.tabgroup = Titanium.UI.createTabGroup({
		tabs : [
			recent, 
			nearby, 
			favorites, 
			search,
			about
		]
	});

	Skateparks.tabgroup.open();

};

/*
 *
 *
 * @author Kyle Decot <kyle.decot@me.com> January 01 2012
 */

Skateparks.UI.createSkateparksTableView = function(_args) {
	
	var table =  Ti.UI.createTableView(_args);
	var rows = [];
	// TODO figure out how to use setSkateparks instead of addSkateparks...
	table.addSkateparks = function(skateparks) {
		for(var i = 0; i < skateparks.length; i++) {

			var skatepark = skateparks[i].skatepark;

			var row = Skateparks.UI.createSkateparkTableViewRow({ 
				skatepark : skatepark 
			});
			
			/*var annotation = Skateparks.Map.createAnnotation({
				skatepark : skatepark
			});*/
			
			//annotations.push(annotation);
			rows.push(row);

			row.addEventListener('click', function(e) {
				skatepark = skateparks[e.index].skatepark;
				Ti.API.log(skatepark.name);
				details = Skateparks.UI.createSkateparkWindow({ 
					skatepark_id : skatepark.id,
					title : skatepark.name
				});
				Skateparks.tabgroup.activeTab.open(details);
			});	
		}
		table.setData(rows);	
	};
	
	return table;
	
};

Ti.include('tabs.js');
Ti.include('favorites_window.js');
Ti.include('search_window.js');
Ti.include('recent_window.js');
Ti.include('about_window.js');
Ti.include('skatepark_window.js');
Ti.include('skatepark_comments_window.js');
Ti.include('skatepark_photos_window.js');
Ti.include('skatepark_map_window.js');
Ti.include('nearby_window.js');
Ti.include('website_window.js');